Page MenuHomeFreeBSD

Codify use of Apache License 2.0 software.
ClosedPublic

Authored by brooks on Feb 25 2019, 10:10 PM.

Details

Summary

Subversion (svnlite) has always be Apache licensed and LLVM will be
starting with 9.0.0.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

brooks created this revision.Feb 25 2019, 10:10 PM
Harbormaster completed remote builds in B22733: Diff 54380.
emaste added a subscriber: emaste.Feb 25 2019, 10:18 PM

Thanks Brooks.

imp added a subscriber: imp.Feb 25 2019, 10:22 PM
imp added inline comments.
en_US.ISO8859-1/htdocs/internal/software-license.xml
80 ↗(On Diff #54380)

consulted or approve?

81 ↗(On Diff #54380)

Is there a way to say this to make it clear that the approval is for the component (eg llvm) not the exact version so we don't have to approve every new version?

brooks updated this revision to Diff 54381.Feb 25 2019, 10:53 PM
  • Reword to make clear that Apache approval is per-component.
brooks marked 2 inline comments as done.Feb 25 2019, 10:53 PM
bcr added a subscriber: bcr.Feb 26 2019, 7:50 AM

Superfluous word.

en_US.ISO8859-1/htdocs/internal/software-license.xml
78 ↗(On Diff #54381)

s/be//

brooks updated this revision to Diff 54420.Feb 26 2019, 5:00 PM
  • GC an extra word.
brooks marked an inline comment as done.Feb 26 2019, 5:01 PM
bcr accepted this revision.Feb 26 2019, 5:41 PM

OK from my point of view.

This revision is now accepted and ready to land.Feb 26 2019, 5:41 PM
allanjude accepted this revision.Mar 5 2019, 7:08 PM
jhb accepted this revision.Mar 5 2019, 7:14 PM
imp accepted this revision.Mar 5 2019, 7:44 PM
This revision was automatically updated to reflect the committed changes.